# $Revision: 1.67 $, $Date: 2011/02/22 12:53:16 $
%include	/usr/lib/rpm/macros.perl
Summary:	VFolders Menu Generator
Summary(pl.UTF-8):	Generator Menu opartego na VFolders
Name:		vfmg
Version:	0.9.95
Release:	6
License:	GPL
Group:		X11/Window Managers/Tools
Vendor:		GoTaR <gotar@pld-linux.org>
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	f73aaacd03bd9b8fe097cac5011f26d9
Patch0:		%{name}-ignore-OnlyUnallocated.patch
Patch1:		%{name}-XDG_MENU_PREFIX.patch
URL:		http://vfmg.sourceforge.net/
BuildRequires:	rpm-perlprov
Requires(post,preun):	/sbin/chkconfig
Requires:	xdg-menus
Obsoletes:	wmconfig
Conflicts:	WindowMaker < 0.92.0-0.4
Conflicts:	enlightenment < 0.16.7.2-2
Conflicts:	icewm < 2:1.2.25-0.2
Conflicts:	metisse < 0.3.5-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VFolders Menu Generator. Generates window managers menus (for now only
icewm, blackbox, window maker (both old and new style), xfce4, aewm,
afterstep, fvwm2, olvwm, qvwm, enlightenment and fluxbox are
supported, next coming soon) from desktop files conforming the
freedesktop.org menu specification.

%description -l pl.UTF-8
Generator Menu opartego na VFolders. Generuje menu zarządców okien
(jak dotąd wspierane są tylko icewm, blackbox, window maker (oba
style, stary oraz nowy), xfce4, aewm, afterstep, fvwm2, olvwm, qvwm,
enlightenment i fluxbox, następne wkrótce) z plików desktop
wypełniających specyfikację menu z freedesktop.org.

%package cron
Summary:	Crontab file for VFolders Menu Generator
Summary(pl.UTF-8):	Plik crontaba dla generatora menu opartego na vfolders
Group:		X11/Window Managers/Tools
Requires:	crondaemon

%description cron
This package contains a configuration file that enables window manager
menu generation to be performed regularily at given time.

%description cron -l pl.UTF-8
Pakiet ten zawiera plik konfiguracyjny umożliwiający regularne
generowanie menu dla zarządców okien o określonych godzinach.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_datadir}/zsh/site-functions} \
	$RPM_BUILD_ROOT/etc/{cron.d,rc.d/init.d,sysconfig}

install vfmg $RPM_BUILD_ROOT%{_bindir}
install vfmgrc $RPM_BUILD_ROOT%{_sysconfdir}
install vfmg-zsh $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/_vfmg
install vfmg.init $RPM_BUILD_ROOT/etc/rc.d/init.d/vfmg
install vfmg.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/vfmg
install vfmg.cron $RPM_BUILD_ROOT/etc/cron.d/vfmg

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vfmg

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del vfmg
fi

%files
%defattr(644,root,root,755)
%doc README vfmg.html
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vfmgrc
%attr(754,root,root) /etc/rc.d/init.d/vfmg
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vfmg
%{_datadir}/zsh/site-functions/*

%files cron
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/cron.d/vfmg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vfmg.spec,v $
Revision 1.67  2011/02/22 12:53:16  baggins
- rel 6

Revision 1.66  2011/02/22 12:27:11  baggins
- rel 5
- sysconfig bits for XDG_MENU_PREFIX

Revision 1.65  2011/02/22 11:18:16  baggins
- rel 4
- accept XDG_MENU_PREFIX env var

Revision 1.64  2010/05/17 11:26:09  baggins
- rel 3
- ignore menu for unallocated apps (else we get a submenu with everything in it)

Revision 1.63  2008/07/27 22:21:47  arekm
- release 2

Revision 1.62  2007-02-12 22:09:19  glen
- tabs in preamble

Revision 1.61  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.60  2006/10/31 13:50:13  qboosh
- typos

Revision 1.59  2006/04/19 00:24:15  sparky
- OK, rel 1

Revision 1.58  2006/04/19 00:22:59  sparky
- one more change, but very small this time

Revision 1.57  2006/04/18 22:40:38  sparky
- updated, small changes, so version not bumped

Revision 1.56  2006/04/18 20:40:34  sparky
- C: for old WMs not using /etc/rc.d/init.d/vfmg generation

Revision 1.55  2006/04/18 19:01:04  sparky
- vfmg new generation
- rel 0.1 for now as some C: must be added (vfmg behaviour has changed a little)

Revision 1.54  2006/03/23 18:26:51  megabajt
- release 14 for Th

Revision 1.53  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.52  2005/07/15 08:27:59  havner
- current patch updated
- rel 13

Revision 1.51  2005/05/23 15:40:29  paladine
- R: xdg-menus, rel. 12

Revision 1.50  2005/04/01 11:47:59  troll
- rel 11, STBR

Revision 1.49  2005/03/08 21:45:59  aredridel
- R(p,p): chkconfig

Revision 1.48  2004/12/08 00:20:08  ankry
- added enlightenment and metisse patches, rel. 10

Revision 1.47  2004/12/07 20:27:41  patrys
- added my svg icon patch
- rel. up to 9
- STBR

Revision 1.46  2004/11/27 18:06:17  havner
- rel 8 for fixed current patch

Revision 1.45  2004/11/27 16:00:58  havner
- rel 7

Revision 1.44  2004/11/27 15:48:49  havner
- 20041127

Revision 1.43  2004/10/31 14:59:29  paladine
- spaces->tabs

Revision 1.42  2004/10/22 01:41:00  havner
- patches commited to cvs://vfmg
- current patch
- VFMG_TERM added to vfmg.sysconfig
- rel 5

Revision 1.41  2004/10/15 00:32:48  ankry
- enlightenment patches by Przemyslaw Iskra, rel. 4

Revision 1.40  2004/09/17 01:53:57  ankry
- fvwm support, use temporary file while generating menu, rel. 3

Revision 1.39  2004/09/16 10:58:29  krolik
- missing file

Revision 1.38  2004/09/16 10:53:45  ankry
- missing dir

Revision 1.37  2004/09/16 10:14:59  ankry
- OOPS

Revision 1.36  2004/09/16 10:12:26  ankry
- more fvwm2 support, added cron subpackage, rel. 2

Revision 1.35  2004/09/13 06:37:20  ankry
- vfmg obsoletes wmconfig

Revision 1.34  2004/09/07 16:28:26  gotar
- fetch sources

Revision 1.33  2004/09/07 16:16:37  gotar
- 0.9.18

Revision 1.32  2004/09/06 10:26:43  ankry
- added vfmg-fvwm2.patch
- rel. 2; works, but probably NFY

Revision 1.31  2004/07/31 13:48:44  gotar
- 0.9.17

Revision 1.30  2004/07/11 17:25:16  havner
- rel 6 for fixed s/-name/-T/

Revision 1.29  2004/07/09 13:50:09  havner
- rel 5 for new default xterm value

Revision 1.28  2004/07/08 00:25:12  havner
- rel 4

Revision 1.27  2004/07/07 14:46:08  qboosh
- no _sysconfdir for rc.d and sysconfig, marked config file as config

Revision 1.26  2004/07/07 14:42:34  havner
- 754 for vfmg.init

Revision 1.25  2004/07/07 14:28:42  havner
- fluxbox menu2 moved to /etc

Revision 1.24  2004/07/06 22:09:13  havner
- -m parameter added
- init file added for automatic menu generation

Revision 1.23  2004/07/04 23:18:47  havner
- md5

Revision 1.22  2004/07/04 23:16:05  havner
- 0.9.16

Revision 1.21  2004/07/03 23:52:53  havner
- R: applnk >= 1.9.0
- rel up

Revision 1.20  2004/02/29 09:33:06  gotar
- 0.9.15

Revision 1.19  2003/12/30 11:05:04  gotar
- 0.9.14

Revision 1.18  2003/12/05 13:56:26  gotar
- 0.9.13

Revision 1.17  2003/10/25 15:00:31  twittner
- BuildArch: noarch

Revision 1.16  2003/09/27 16:18:34  gotar
- new tarball md5

Revision 1.15  2003/09/27 16:04:35  gotar
- 0.9.12

Revision 1.14  2003/09/25 18:23:41  gotar
- R: applnk >= 1.6.2

Revision 1.13  2003/09/02 14:03:40  gotar
- 0.9.11

Revision 1.12  2003/08/29 16:30:53  gotar
- 0.9.10

Revision 1.11  2003/08/29 10:37:52  gotar
- updated to 0.9.9a

Revision 1.10  2003/08/23 08:30:40  qboosh
- perl deps

Revision 1.9  2003/08/21 09:50:51  gotar
- added html doc (web page),
- release 2.

Revision 1.8  2003/08/21 09:11:37  gotar
- 0.9.9

Revision 1.7  2003/08/21 07:48:46  gotar
- added fvwm2 to description

Revision 1.6  2003/08/20 21:34:00  gotar
- 0.9.8

Revision 1.5  2003/08/20 11:26:39  gotar
- 0.9.7

Revision 1.4  2003/08/19 17:02:23  gotar
- added zsh completion function,
- release 2.

Revision 1.3  2003/08/18 11:37:59  gotar
- 0.9.6

Revision 1.2  2003/08/17 17:12:16  gotar
- 0.9.5

Revision 1.1  2003/08/17 12:07:15  gotar
- initial PLD release
